[SciPy-user] error with interpolation import?

Christian K. ckkart@hoc....
Sun Apr 19 13:56:11 CDT 2009


Joe Barfett schrieb:
> Hello,
> I'm a MATLAB user that's recently switched to Python and Scipy. I'm 
> trying to use scipy with macPython to fit a 1D spline to some data. 
> I'm getting an error message...
> The command: from scipy.signal import cspline1d
> Returns the error...
> 
> Traceback (most recent call last):
>   File "/Users/joe/<string>", line 1, in <module>
>   File 
> "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/signal/__init__.py", 
> line 9, in <module>
>     from bsplines import *
>   File 
> "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/signal/bsplines.py", 
> line 3, in <module>
>     import scipy.special
>   File 
> "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/special/__init__.py", 
> line 8, in <module>
>     from basic import *
>   File 
> "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/special/basic.py", 
> line 8, in <module>
>     from _cephes import *
> ImportError: 
> dlopen(/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/special/_cephes.so, 
> 2): Library not loaded: /usr/local/lib/libgfortran.2.dylib
>   Referenced from: 
> /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/scipy/special/_cephes.so
>   Reason: image not found
> 
> I've reinstalled scipy a couple times. If anyone knows what's going on 

I can't help you solving that error (I don't see it on linux), but ...

> I'd appreciate some help. I know scipy can do splines. 

... in the meanwhile you might try splrep and splev from scipy.interpolate

Christian



More information about the SciPy-user mailing list